<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Mega Blog Pro
* @since Mega Blog Pro 1.0.0
*/

if ( ! function_exists( 'mega_blog_pro_custom_header_title_partial' ) ) :
    // custom header title
    function mega_blog_pro_custom_header_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['custom_header_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_custom_header_sub_title_partial' ) ) :
    // custom header sub title
    function mega_blog_pro_custom_header_sub_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['custom_header_sub_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_message_title_partial' ) ) :
    // message title
    function mega_blog_pro_message_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['message_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_message_description_partial' ) ) :
    // message description
    function mega_blog_pro_message_description_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['message_description'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_featured_title_partial' ) ) :
    // featured title
    function mega_blog_pro_featured_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['featured_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_recent_title_partial' ) ) :
    // recent title
    function mega_blog_pro_recent_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['recent_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_gallery_title_partial' ) ) :
    // gallery title
    function mega_blog_pro_gallery_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['gallery_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_popular_title_partial' ) ) :
    // popular title
    function mega_blog_pro_popular_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['popular_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_contact_title_partial' ) ) :
    // contact title
    function mega_blog_pro_contact_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['contact_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_contact_address_title_partial' ) ) :
    // contact address title
    function mega_blog_pro_contact_address_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['contact_address_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_contact_address_partial' ) ) :
    // contact address
    function mega_blog_pro_contact_address_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['contact_address'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_contact_phone_title_partial' ) ) :
    // contact phone title
    function mega_blog_pro_contact_phone_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['contact_phone_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_contact_email_title_partial' ) ) :
    // contact email title
    function mega_blog_pro_contact_email_title_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['contact_email_title'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_copyright_text_partial' ) ) :
    // copyright text
    function mega_blog_pro_copyright_text_partial() {
        $options = mega_blog_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

if ( ! function_exists( 'mega_blog_pro_powered_by_text_partial' ) ) :
    // powered by text
    function mega_blog_pro_powered_by_text_partial() {
        $options = mega_blog_pro_get_theme_options();
        return mega_blog_pro_santize_allow_tag( $options['powered_by_text'] );
    }
endif;